Subject: bug#49878: Emacs Tarball Should Include Uninstall Script

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 05 Aug 2021 13:09:26 +0200

Abdorhman Ayman <[email-masked]> writes:

> Someone on Debian forums encountered a system issue after compiling
> Emacs 27.2 from source, he suspects that his issue MAYBE related to Emacs,
> or maybe it's not, it doesn't really matter, what matters is that his report
> brought to my attention that Emacs tarball doesn't include an uninstall
> script. We need an uninstall script for user convenience.

I'm not sure an uninstall script is practical -- we can't just delete
the files with the same names as those we installed, because we don't
know whether they're the same ones (or something added later by the
user).

I've never understood why any user would say "make install" at all --
Emacs works just fine without saying "make install".  Users should just
run it from where it was compiled.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no